MediaWiki core messages for olo (Livvi-Karelian)
Closed, ResolvedPublic

Description

We need the following translated for MessagesOlo.php:

NS_MEDIA            => 'Media',
NS_SPECIAL          => 'Special',
NS_TALK             => 'Talk',
NS_USER             => 'User',
NS_USER_TALK        => 'User_talk',
NS_PROJECT_TALK     => '$1_talk',
NS_FILE             => 'File',
NS_FILE_TALK        => 'File_talk',
NS_MEDIAWIKI        => 'MediaWiki',
NS_MEDIAWIKI_TALK   => 'MediaWiki_talk',
NS_TEMPLATE         => 'Template',
NS_TEMPLATE_TALK    => 'Template_talk',
NS_HELP             => 'Help',
NS_HELP_TALK        => 'Help_talk',
NS_CATEGORY         => 'Category',
NS_CATEGORY_TALK    => 'Category_talk',

Can somebody arrange a native speaker of Livvi-Karelian to translate this? Thanks.

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 27 2016, 9:15 AM
AlexMonk-WMF changed the title from "MediaWiki core messages for olo.wikipedia.org" to "MediaWiki core messages for olo (Livvi-Karelian)".Sep 27 2016, 10:36 AM

NS_MEDIA => 'Media' 'Medii'
NS_SPECIAL => 'Special' 'Erikoine'
NS_TALK => 'Talk' 'Pagin'
NS_USER => 'User' 'Käyttäi'
NS_USER_TALK => 'User_talk' 'Käyttäjän paginat'
NS_PROJECT_TALK => '$1_talk' '$1_pagin'
NS_FILE => 'File' 'Failu'
NS_FILE_TALK => 'File_talk' 'Failu_pagin'
NS_MEDIAWIKI => 'MediaWiki' 'MediiWiki'
NS_MEDIAWIKI_TALK => 'MediaWiki_talk' 'MediiWiki_pagin'
NS_TEMPLATE => 'Template' 'Šablonu'
NS_TEMPLATE_TALK => 'Template_talk' 'Šablonu_pagin'
NS_HELP => 'Help' 'Abu'
NS_HELP_TALK => 'Help_talk' 'Abu_pagin'
NS_CATEGORY => 'Category' 'Kategourii'
NS_CATEGORY_TALK => 'Category_talk' 'Kategourii_pagin'

Okay thank you. I'll submit a patch for this shortly. Regards.

Change 313369 had a related patch set uploaded (by MarcoAurelio):
MediaWiki core messages for Livvi-Karelian (olo)

https://gerrit.wikimedia.org/r/313369

@Nikerabbit and @Ilja.mos considering that the wiki is using latin script, and that the language seems similar to Finish/Suomi, would it be better to set first fallback to finish and later to russian?

@Ilja.mos To allow gendered namespaces, is there any difference between male user and female user? I mean, is Käyttäi the same for men and women? Thank you.

My guess would be to set Russian only, because AFAIK people who speak this are much more likely to know Russian than Finnish, but @Ilja.mos can correct me if I'm wrong.

Yep, I agree with asking them. However by reading this Wikipedia article it seems have some doubts, that's why I asked :)

There is no difference between male and female in Finno-Ugric languages., so 'Käyttäi' is correct, but if it is necessary to decline the word, flexion will be changed (käyttäi - plural: käyttäjät).
Livvinkarjala speakers live in Russia and in Finland as well, so both are important. Latin script is in usage.

@Ilja.mos According to you, what do Livvi-Karelian speakers favor more. See
untranslated messages in Finnish or Russian? Where are the most part of olo
speakers living? Maybe we can set both.

Just wondering why translation of User_talk seems different from the other talk namespaces. Is there no need to inflect the other nouns?

Ilja.mos added a comment.EditedSep 29 2016, 9:54 PM

Oh, sorry, that should be changed to singular as others:

NS_USER_TALK => 'User_talk' 'Käyttäjän paginat' --> 'Käyttäi_pagin'.

It's difficult to say, which one is better, because karelians live in Russia and Finland.
If we set Russian, then others will ask 'why' and vice versa. Finnish is of course the closest one to Karelian language.

Oh, sorry, that should be changed to singular as others:

NS_USER_TALK => 'User_talk' 'Käyttäjän paginat' --> 'Käyttäi_pagin'.

Fixed NS_USER_TALK.

It's difficult to say, which one is better, because karelians live in Russia and Finland.
If we set Russian, then others will ask 'why' and vice versa. Finnish is of course the closest one to Karelian language.

I'll create a different patch set to change from ru to fi the fallback so it can be discussed without blocking the above work. IMHO since olo is using non-cyrilic characters, finnish would suit best.

Change 313576 had a related patch set (by MarcoAurelio) published:
Fallback Livvi-Karelian (olo) to Finnish (fi)

https://gerrit.wikimedia.org/r/313576

Change 313369 merged by jenkins-bot:
MediaWiki core messages for Livvi-Karelian (olo)

https://gerrit.wikimedia.org/r/313369

Thanks for merging the messages. Maybe we can now focus on what would be the best fallback for users, fi or ru.

Not sure why it's on release-notes since it's not there: /diffusion/MW/browse/master/RELEASE-NOTES-1.28

Not sure why it's on release-notes since it's not there: /diffusion/MW/browse/master/RELEASE-NOTES-1.28

The tag is applied to every change for 1.28, to be sure it will be included. You can prepare a change to update that by the way if you wish.

Change 314867 had a related patch set (by MarcoAurelio) published:
Livvi-Karelian MediaWiki core messages to release notes.

https://gerrit.wikimedia.org/r/314867

The tag is applied to every change for 1.28, to be sure it will be included. You can prepare a change to update that by the way if you wish.

Done. Namespace messages are now working. What remains here is to correct the fallback. Since Finnish is the closest similar one, according to the translator, I'd say we can go ahead and change the fallback. Patch for that is above.

Change 314867 merged by jenkins-bot:
Livvi-Karelian MediaWiki core messages to release notes.

https://gerrit.wikimedia.org/r/314867

Since Finnish is the closest similar one

Unless most speakers are fluently bilingual in Russian. I don't know whether this is the case, but there is https://www.ethnologue.com/language/olo

https://github.com/wikimedia/jquery.uls/blob/master/data/langdb.yaml#L368 says "Livvin-Karjalan" but MediaWiki core says "Livvinkarjala". Which one is preferred name for the language?

I noticed that. The right one is 'Livvinkarjala'.

https://github.com/wikimedia/jquery.uls/blob/master/data/langdb.yaml#L368 says "Livvin-Karjalan" but MediaWiki core says "Livvinkarjala". Which one is preferred name for the language?

Can't find it at rEULS. It's just hosted at GitHub?

It is multi-step process. The first step is https://github.com/wikimedia/jquery.uls/pull/241

It's now updated in GitHub. What's next?

Change 313576 merged by jenkins-bot:
Fallback Livvi-Karelian (olo) to Finnish (fi)

https://gerrit.wikimedia.org/r/313576

The second step has already been completed by https://gerrit.wikimedia.org/r/#/c/316418/

MarcoAurelio closed this task as "Resolved".Nov 28 2016, 3:01 PM

Okay so I'm closing this as mediawiki/core messages, fallback and rEULS is done. I'm not sure if after changing fallbacks a maintenance script is required to be run on the wiki. If so, please reopen or open a new task for that. Best regards.

Maintenance script shouldn't be necessary here.